﻿// -----------------------------
// Copyright © Kodi Studios 2012
// -----------------------------

using System.IO;
using System.Diagnostics;

namespace Kodi.Picturethrill
{
    /// <summary>
    /// Class for Windows Scheduled Tasks.
    /// </summary>
    public class PicturethrillUpdateTask : ScheduledTask
    {
        #region Private Properties

        private const string PicturethrillUpdateTaskFileName = "PicturethrillUpdateTask.xml";

        //private string taskName;
        #endregion

        /// <summary>
        /// Scheduled task with a specific task name.
        /// </summary>
        /// <param name="taskName">Task name to use.</param>
        public PicturethrillUpdateTask()
            : base(
            Settings.UpdateName, 
            PicturethrillUpdateTaskFileName, 
            Path.Combine(Path.GetDirectoryName(Process.GetCurrentProcess().MainModule.FileName), "PicturethrillUpdate.exe"))
        {
        }
    }
}
