﻿using System.Windows;

namespace Kodi.PicturethrillUpdate
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class PicturethrillUpdateApp : Application
    {
        internal const string ArgsPropertiesName = "Args";

        protected override void OnStartup(StartupEventArgs e)
        {
            if (e.Args != null && e.Args.Length > 0)
            {
                this.Properties[ArgsPropertiesName] = e.Args;
            }

            base.OnStartup(e);
        }
    }
}
