﻿// -----------------------------
// Copyright © Kodi Studios 2012
// -----------------------------

using System;
using System.Diagnostics;
using System.Reflection;
using System.Windows;

namespace Kodi.Picturethrill
{
    /// <summary>
    /// Interaction logic for AboutPicturethrillWindow.xaml
    /// </summary>
    public partial class AboutPicturethrillWindow : Window
    {
        public AboutPicturethrillWindow()
        {

            InitializeComponent();
            this.creditsTextBox.Text = @"Developers:
Nikolai Aristov

Editors:
Dmitriy Aristov";
            FileVersionInfo picturethrillFileVersionInfo = FileVersionInfo.GetVersionInfo(Assembly.GetExecutingAssembly().Location);
            Version currentPicturethrillVersion = new Version(picturethrillFileVersionInfo.ProductVersion);
            this.versionLabel.Content = "Version " + currentPicturethrillVersion.ToString();
        }

        private void okButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
