﻿// -----------------------------
// Copyright © Kodi Studios 2012
// -----------------------------

using System;
using System.Diagnostics;
using System.Xml;
using System.IO;

namespace Kodi.Picturethrill
{
    /// <summary>
    /// Class for Windows Scheduled Tasks.
    /// </summary>
    public class PicturethrillTask : ScheduledTask
    {
        #region Private Properties

        private const string PicturethrillTaskFileName = "PicturethrillTask.xml";

        //private string taskName;

        #endregion

        #region Constructors

        /// <summary>
        /// Scheduled task with a specific task name.
        /// </summary>
        /// <param name="taskName">Task name to use.</param>
        public PicturethrillTask()
            : base(Settings.AppName, PicturethrillTaskFileName, Process.GetCurrentProcess().MainModule.FileName)
        {
        }

        #endregion
    }
}
